Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class NewArrowCommand

    java.lang.Object
      SEdit.Command
          SEdit.NewArrowCommand

All Implemented Interfaces:
  Executable

    public class NewArrowCommand

extends Command

Field Summary

Fields inherited from class SEdit.Command
`action, desc, icon`

Constructor Summary
`NewArrowCommand(ElementDesc arrowDesc, java.awt.Point position, SElement from, SElement to)`
`NewArrowCommand(java.lang.String arrowDesc, java.awt.Point position, java.lang.String from, java.lang.String to)`

Method Summary
`java.lang.String` | `getArrowDesc()`
`java.lang.String` | `getOriginID()`
`java.awt.Point` | `getPosition()`
`java.lang.String` | `getTargetID()`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.Command
`execute, getAction, getDescription, getIcon, hasDescription, hasIcon`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewArrowCommand

    public NewArrowCommand(ElementDesc arrowDesc,
                           java.awt.Point position,
                           SElement from,
                           SElement to)

### NewArrowCommand

    public NewArrowCommand(java.lang.String arrowDesc,
                           java.awt.Point position,
                           java.lang.String from,
                           java.lang.String to)

Method Detail

### getArrowDesc

    public java.lang.String getArrowDesc()

### getPosition

    public java.awt.Point getPosition()

### getOriginID

    public java.lang.String getOriginID()

### getTargetID

    public java.lang.String getTargetID()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Command`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.